@zachleat zachleat released this Jan 9, 2018 · 529 commits to master since this release

Installation

npm install --save-dev @11ty/eleventy
  • WARNING npm package name has been renamed to use the @11ty scope. Install using @11ty/eleventy. Previous version (eleventy-cli) is now deprecated (but still works as is). Sorry, y’all—for proper code organization and future maintenance I needed to pull that bandaid off as soon as possible.

Links

Release notes

  • Tagged content and collections! Add a tags list to your front matter and use the collections.tagName variables in your data. Read more about Collections and Tags
  • Adds friendly warning message if you don’t meet minimum Node version requirement (version 8+)
  • Worth noting explicitly that unlike Jekyll, files and directories that start with an underscore are processed.
  • Adds continuous integration with Travis CI

A little help from my friends

With a pull request from @aakoch—thanks!

For our version naming pattern, major and minor versions are combined with https://en.wiktionary.org/wiki/eleventy

Assets 2